$(function(){$("#div_dialogtitle",parent.document).html("发布节点"+(nodename?"--":"")+nodename);
});
var $timeout=8000;
function formsubmit(b){var a=new monor_jsonp();
a.url="http://"+cfg_remote_host+"/co_main.php?eb5707348=eminershow&t="+Math.random()+"&callback=?";
a.default_errmaininfo="您的身份标识验证失败，请再重试一次或联系官网客服";
a.default_sucmaininfo="身份标识验证成功，现在开始工作中！";
$("#go").html("<img class='os' src='images/loading.gif' />&nbsp;&nbsp;工作进行中。。。");
a.callbackfunc=function(f){a.localloginfinish=true;
$("#infotable").hide();
$("#repaircostart").show();
if(f.status=="success"){var h="co_pub_action.php";
if(parseInt(b.form.ed71d6017.value)!=0&&parseInt(b.form.ed71d6017.value)<parseInt(b.form.e48eaf84f.value)){alert("记录发布超时时间不能小于发布的间隔时间");
return;
}if(document.form1.efaccb973.checked==true){efaccb973=1;
}else{efaccb973=0;
}if(document.form1.edeff5b43.checked==true){var_edeff5b43=1;
}var g=$(document.form1).serialize();
var d=new co_pub();
d.ed70276a8=true;
d.efabd4b3b="发布进行中。。。";
d.efaccb973=document.form1.efaccb973.checked;
$("div#pubdataconsolearea input#b116").bind("click",{owner:d},d.togglecopub);
if($paramarr.cfg_eminercoerr_allownum){d.eminercoerr_allownum=$paramarr.cfg_eminercoerr_allownum;
}if($paramarr.cfg_eminerpuberr_allownum){d.eminerpuberr_allownum=$paramarr.cfg_eminerpuberr_allownum;
}var e="";
if(f.info){e=f.info;
}else{e=a.default_sucmaininfo;
}$("#go").html(e);
h+="?e9d2722af=1&action=robot&kw_g=1&ecab1c4fe=1&e6dd1f3ba=1&eabd06204=1&ec7fca41a=1&e05ca0eb9=1&e66756569=1&donow=1&temp_origin=1&"+g;
d.eminerpub(h);
}else{a.err_handle(f);
}};
a.err_handle=function(c){a.localloginfinish=true;
$("#infotable").hide();
$("#repaircostart").show();
if(!c){c={};
}if(!c.info){$("#go").html(a.default_errmaininfo);
}else{$("#go").html(infos[0]);
}};
a.do_locallogin();
}function showtitletypechange(a){if($(a).val()=="0"){$(a).closest("tr").find(".pagesizesetarea").hide();
if(parseInt($("input.sptime").val())<1||$("input.sptime").val()==""){$("input.sptime").val(1);
}$("input#edeff5b43").attr("disabled",false);
}else{$(a).closest("tr").find(".pagesizesetarea").show();
$("input#edeff5b43").attr("disabled",true);
$("input#edeff5b43").attr("checked",false);
}}function editcodata_click(a){if(a.checked==true){$("input[name='ea2af08d0'][value='1']").attr("disabled",true).attr("checked",false);
$("input[name='ea2af08d0'][value='0']").attr("disabled",false).attr("checked",true);
$("input[name='ea2af08d0']").click();
}else{$("input[name='ea2af08d0']").attr("disabled",false);
}$("input#efaccb973").attr("disabled",a.checked);
if(a.checked){$("input#efaccb973").attr("checked",false);
}}function savesetting(a){if(em_usrrank<10&&$("#eaaed87de").val()=="emusr1"){alert("此节点为公共示例节点，不能修改！");
return false;
}var c=$(a.form).serialize();
var b=$.ajax({type:"GET",url:"?ajax=1&eb5707348=savesetting&pid="+a.form.pid.value+"&setting="+encodeURIComponent(c)+"&t="+Math.random(),data:null,dataType:"json",cache:false,async:false,success:function(d){alert(d.info);
},error:function(d,f,e){alert("设置故障，未保存成功,故障原因："+f);
}});
}function getCheckboxItem(){var a=[];
$("input[name='tid[]']:checked").each(function(){a.push($(this).val());
});
if(a.length>1){return false;
}if(a.length==1){return a[0];
}}